**_03/09/2018_**

# Introduction

Le cours de Management des Hommes est dans la continuité de ce qu'on a vu l'année dernière. Couplé au cours de sociologie des organisation, on aura une vision complète de ce qui peut se passer en entreprise.

## Dossier

### Les détails

La note de la matière sera faite à partir d'un **dossier à rendre**

- **Deadline** : 12 mars 2019
- **20 pages** minimum
- **Format titre** : mg2 NOM Prénom.docx

Il devra être en deux parties : 

- La première, très carrée au niveau de ce qui est attendu
- La deuxième est plus ouverte, ce sont juste des pistes qui sont données

Le modèle allemand que l'on suit dans le film est plutôt cool, c'est un exemple à suivre et sur lequel s'appuyer à l'avenir (tout en respectant notre culture).

Le travail effectué en M1 sera nécessaire pour élaborer le dossier.

### Le flim

Il s'agit d'une immersion dans 7 boites fonctionnant en management collaboratif. 
Permet de se poser les questions suivantes : 

1. Comment bien gérer une entreprise ?
2. Que doivent déployer les entreprises pour apprendre aux jeunes à diriger, et améliorer les compétences des anciens ?
3. Que disent les comportements, les locaux, la décoration sur l'entreprise et les relations entre patrons et employés ?

### Plan

1. Préambule sur l'analyse des pratiques de management - 5pts
2. Les scènes marquantes au niveau professionnel - 5pts
3. Capitalisation et retour d'expérience - 10pts (non lu si les parties 1 et 2 ne sont pas correctement traitées)

La partie 1 est une présentation globale, en particulier :

- du réalisateur : c'est parce que le réalisateur est ainsi que son film est ainsi. La façon dont il a filmé, ce qu'il a choisi de montrer nous montre ce qu'il est. 
- Des personnages
- Des thèmes abordés dans chauqe scène

La seconde partie analyse le comportement des gens. Il y a des indices dans tout : posture, ton, **regard**, vocabulaire... On s'intéresse également au vécu des personnages : les besoins apparents que l'on comprend à partir de ce que l'on voit. Ces besoins sont-ils opposés à ceux de l'entreprise ? Puis le contexte de travail (on devrait y retrouver beaucoup de choix lents, de temps de réflexion importants) et enfin en synthèse, 20 concepts définissant / récapitulant le film et sa compréhension (slow down...)

La dernière partie cause de la capitalisation. Je me suis endormi à cette partie du cours (c'est déjà un miracle que j'ai tenu jusque là). On conclut enfin sur le rôle de cadre - en général et dans le film. On a le droit de donner son avis et de dire par exemple

 "moi, je ferais ça, et je suis prêt à partir si l'entreprise ne veut pas".

## Plan de l'année 

1. Adaptation émotionnelle
2. Dynamique des conflits en entreprise
3. Violence au travail
4. Pilotage du changement
5. Management interculturel
6. Aguerrissement du manager

## Bibliographie

À lire : Daniel Porot, *Comment trouver une situation et décrocher le job de ses rêves*

# I - L'adaptation émotionnelle

Objectifs : tirer parti de l'émotivité, exploiter les émotions. On peut pour cela réutiliser ses bons souvenirs dnas des instants difficiles pour se détendre. 

Il est important de connaître ses points faibles, cela permet de s'améliorer. Également savoir se tourner vers son équipe et la mettre à contribution pour régler les problèmes. 

## 1 - Les émotions

### 1.1 - Le contexte historique

On partage tous des émotions dans le monde. Ce qui change, c'est la façon de les exprimer, et leur source, selon les cultures. 

Historiquement, on considère que les émotions empêchent d'analyser rationnellement les choses (Platon, Descartes, Weber). Ça donne aujourd'hui le principe du "laisser ses émotions à la maison" : les émotions liées à la vie perso n'ont pas leur place au travail. Mais dans le contexte actuel la santé mentale aui travail se détériore !  Il a de plus en plus de pression à plusieurs niveaux : **anxiété, ennui, Inquiétude, détachement, inaptitude**...

### 1.2 - L'affect, l'humeur et l'émotion

3 concepts qui diffèrent :

- L'affect est plus global, lié à un caractère, un trait de caractère...
- L'humeur est quelque chose de diffus, de léger mais de durée plutôt importante
- L'émotion est temporaire, forte, déclenchée par un évènement puis réglée ensuite. Plutôt de courte durée. "Réaction aigüe et transitoire".

L'affect englobe humeur et émotion. Il peut être l'un ou l'autre.

### 1.3 - Caractéristiques des émotions

L'émotion se crée par confrontation à une situation, et à l'interprétation de la réalité. Elle a plusieurs composantes : situationnelle, cognitive, physiologique.

La peur est définie comme une aversion irrationnelle à un danger inattendu. En conséquence, donner une réalité à ce que l'on imagine fait défendre la peur.

On retrouve 4 phases dans ce processus émotionnel :

- L'anticipation : en espérant prévenir un danger ou améliorer situation
- La provocation de l'émotion : met en marche un processus d'évaluation des stimulis. Le
- La préparation de l'action : l'émotion provquée suscite une tendance à l'action et à diverses conduites d'adaptation
- L'état émotionnel : reflète évaluation de la relation entre personne et son environnement

Le stimuli peut venir de quelqu'un d'autre qui communique sa peur. >> Il faut prévenir ça avant que la personne ne communique sa peur à tout le monde.

On retrouve l'état d'équilibre à la fin de la phase 4.

### 1.4 - La fonction des émotions

Les émotions permettent de donc de s'adapter aux changements environnementaux et aux enjeux sociaux.  
Les émotions sont les mêmes dans toutes les cultures, néanmoins la façon dont on y arrive (le déclenchement) est différente.

Liste des émotions et roue intéressante sur PDF.  On abserve sur la roue des émotions de bases, et d'autres issues de la combinaison de deux émotions.  
La timidité est différente de la pudeur !  

L'émotion est contagieuse, c'est son but d'être communiquée.  
Exemple avec le syndrome du survivant quand on est le seul à rester alors que tout le monde démissionne : **aveuglement**, on se convainc insidieusement que nous aussi on aurait du partir alors qu'en fait non, rien à voir.  
=> L'émotion trompe notre entendement.

### 1.5 - La roue des émotions de robert Plutchik

À voir sur PDF. de l'extérieur vers l'intérieur : du moins fort au plus fort. On observe donc une notion de nuance.  
Plusieurs combinaisons possibles, tableau assez riche. En cas d'opposition, on retoruve un conflit émotionnel : ces deux émotions ne devraient pas être là ensemble. Il faut alors arriver à trouver laquelle des deux n'a rien à foutre là.

### 1.6 - Émotions et conscience

Certaines émotions méritent d'être creusées. Leur niveau de conscience dépend du niveau d'introspection. Cette dernière permet d'éviter les préjugés et de s'améliorer sur ce qui déclenche chez nous des réactions inadéquates.

On observe un cercle vertueux entre émotions positives des employés et résultats financiers de la boite. On peut avoir des résultats sans mais le risque de turn-over augmente.

Le quotien intellectuel est souvent surévalué. Le Quotien Émotionnel, par contre, est nécessaire. Il en faut avec le QI : mieux vaut un plus petit QI avec du QE qu'un gros QI seul.

Deux styles de manager derrière : le gestionnaire (QI), le leader (QI + QE)

## 2 - La santé émotionnelle au travail

### 2.1 - Le modèle des 9 états émotionnels de Charles-Henri Amherdt

On se sert de plus en plus de notre tête au travail. Conséquence : les travaux manuels sont pour se détendre.

Les 9 états sont définis en fonction du défi que représente la tâche et de ma compétence qu'on a pour l'effectuer. Il en résulte un intérêt porté à la tâche et un état émotionnel.

| Compétence \ Défi et intérêt | Faible                                                       | Moyen                                                        | Élevée                                           |
| ---------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------------------------------------------ |
| **Faible**                   | Indifférence<br />Démobilisation totale, passivité           | Inquiétude<br />Appréhension car non maîtrisé                | Anxiété<br />Appréhension car non maîtrisé       |
| **Moyenne**                  | Détachement<br />On ne maîtrise pas totalement mais tâche non stimulante | Neutre<br />Pas d'émotion particulière                       | Excitation<br />Fébrilité car maîtrise partielle |
| **Élevée**                   | Ennui                                                        | Maîtrise<br />Un défi de meilleur niveau nous rendrait peut-être plus créatifs | Flow<br />Bien être et performance               |

La neutralité est positive : "Ça va".  
En situation d'anxiété, il faut demander de l'aide !  
L'indifférence rejoint le désengagement  
Le détachement indique qu'on a affaire à un "bullshit job" : ça sert à rien !  
La maîtrise c'est OK : ça se passe bien.  
Le flow c'est l'idéal : au top, on prend son pied

Épuisement professionnel : Attention au burn out ! On peut charger en travail un employé si on fait attention à ne pas dépasser ses limites. Être attentif et bien calibrer. Laisser entrer un employé en burn out relève de l'erreur con, c'est rarement volontaire.  

Roue sur PDF indiquant les implications des différents états.

Ces états émotionnels sont liés à la stimulation ! Une sous-stimulation indique que le chef n'est pas un leader.

**La boussole du manager** : éléments pour être un bon manager

- Regarder les 4 facteurs d'indices de détrsse psychologique. Les gens sont-ils :
  - anxieux ?
  - dépressifs ?
  - irritables ?
  - à problèmes cognitifs
- Offrir des posts "sus-mesure" aux employés pour qu'ils se réalisent
- Soutenir au moyen des **4 formes de soutien :**
  - **Qualité et quantité des infos données**
  - **Empathie et écoute** lors des problèmes
  - **Ressources fournies** pour bien travailler
  - **Retour régulier** sur la qualité du travail
- 3 sources possibles de soutien
  - manager direct (ou par substitution en cas d'absence)
  - les collègues (équipe en réseau, 4C !)
  - services support

La problémtique est : comment faire pour stimuler les gens et améliorer les émotions ? Les 9 états sont intéressants pour guider vers le flow, en adaptant pour chacun. 

Les causes d'épuisement : à voir sur PDF car illisible en cours et sur poapier. Il en existe en tout cas deux types de facteurs : individuels et interindividuels.

### 2.2 - Les composantes de la santé émotionnelle

Une bonne santé émotionnelle est représentée par un ressenti régulier d'émotions positives, en particulier le flow. Elle s'appuie sur deux notions :

- Santé mentale
- Intelligence émotionnelle (le QE entre en compte, ici)

L'intelligence émotionnelle, c'est arriver à sentir venir les émotions et les entendre sans les laisser nous submerger. Elle a 5 composantes :

- La conscience de soi : arriver à identifier quand ça monte, et quelle émotion
- La gestion des émotions : savoir sadapter, réagir efficacement
- La motivation de soi :  canaliser les émotions, maîtriser ses pulsions, ne pas être rigide. Il es timportant de s'habituer à la frustration.
- La maîtrise des relations humaines
- L'empathie

Les deux derniières composantes sont tournées vers l'autre.

Les compétences techniques (savoir, savoir-faire) et non techniques (savoir être) jouent aussi un rôle dans la santé émotionnelle. 

### 2.3 - Qu'est-ce que le stress ?

Il s'agit d'une réponse non spécifique (inadaptée) à une émotion pour aider l'organisme à faire face.

On peut ainsi résister un moment à l'élément stressant, jusqu'à un certain seuil ou résolution de l'élément, puis grosse baisse d'énergie : épuisement.

### 2.4 - Les sources de stress

On appelle ces cause les stresseurs :

- le travail : surchage, complexité. Pour se débarasser de la surcharge, demander à réorganiser son travail, savoir dire non.
- les rôles : conflits, ambiguités. Il faut faire attention aux doubles casquettes incompatibles : il faut choisir.
- les relations professionnelles : conflits, harcèlement. Les batailles doivent être interdites : ça fout la merde !
- la carrière : promotion rapide, rétrogradation
- l'équilibre travail/vie privée

**Le modèle demande/contrôle de Karasek**

Évalue le niveau de stress en fonction de deux éléments :

- demande psychologique (exigences, niveau de performance)
- latitude décisionnelle (marge de manœuvre, diversité des compétences)

On en tire le tableau suivant :

| Latitude décisionnelle \ Demande psychologique | **Faible**                                                   | **Élevée**                                                   |
| :--------------------------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| **Faible**                                     | Emplois passifs<br />Pas de stress mais abêtissant           | Emplois à haute tension<br />Fort stress : gros objectifs et pas moyen de faire autrement |
| **Élevée**                                     | Emplois à faible tension<br />Stress inexistant. Boulot pour "babsou fumeur de joint" <br />(note : il cite quand même un berger) | Emplois actifs<br />Peu de stress car stimulant et possibilité de s'adapter à la difficulté |

### 2.5 - Les conséquences du stress

Contexte : la santé mentale. Elle doit comporter **à la fois** une absence de réactions ou symptomes négatifs et des manifestations positives. 

Des problèmes dans cette santé mentale sont indiqués par des signes qui doivent nous alerter :

- consommation plus élevée de médicaments, d'alcool
- déterioration d'indicateurs de performance dans le travail : absentéisme, accidents, conflits, harcèlement...
- difficulté à sortir du lit le matin (plus que d'habitude)

Le stress implique des symptômes

- physiologiques : fatigue même au réveil après une grosse nuit, tension musculaire dans tout le corps, le stress crispant les muscles...
- psychiques : diminution ou perte d'intérêt, même sur des tâches cool...
- comportementaux (ressemblent presque à dépression) : évitement des situation exigeantes (pour un jeune l'accompagner, pour un vieux lui foutre la paix)... 

Suite au stress des problèmes poeuvent subvenir de deux façons 

- niveau : gros pic en peu de temps
- durée : intensité sur une période trop longue

et causer des maladies psychosomatiques (qui n'ont pas d'origine, dans la tête) et des troubles de santé mentale.

### 2.6 - Les stratégies d'adaptation face aux situations anxiogènes

Anxiété : anticipation d'un danger ou malheur, accompagnée de dysphorie (alternance entre angoisse et exitation excessives).

Pour se calmer dnas une situation anxiogène, on peut réagir de façon non-constructive :

- Psychorigidité : attitude intransigeante pour empêcher de menacer des valeurs
- Focalisation : comportement obsessionnel pour protéger des valeurs vulnérables

ou de façon constructive :

- expansion de la conscience  : introspection et analyse pour comprendre quelles valeurs auquelles on tient sont menacées, et s'adapter
- rééducation : réévaluation des buts afin d'agir de façon responsable et réaliste en fonction de ses valeurs.

# II - La dynamique des conflits en entreprise

Objectifs :

- Distinguer les grands types de conflits
- Identifier les conflits potentiels et les prévenir
- Gérer le conflit et en sortir
- Travailler le positionnement du médiateur/arbitre

## 1 - Conflit, de quoi parlons-nous ?

### 1.1 - Définition des conflits au travail

Comportements et réactions émotives et cognitives qui commencent quand une partie se sent lésée ou s'apprête à l'être par une autre partie

Il s'agit souvent d'une question de perception. D'un œil extérieur, il parait souvent puéril. La notion de conflit est lié à celle de communication. Faire en sorte que les choses soient calmes, posées, pondérées aide à calmer le jeu. 

Face à un conflit dans une équipe, la désapprobation du reste de l'équipe est souvent ressentie.

### 1.2 - Étymologie

Ça vient d'une divergence, un antagonisme entre deux personnes qui veulent une même chose.

La tension, c'est le début du conflit : tendre, contraction. On serre les points, premiers signes d'énervement.

La violence indique que le conflit est déclaré : emporté, impétueux.
Un manager doit être mesuré, retenu >> **jamais de violence**